EDIT - bug #8065

HibernateException: corrupt session problem breaks SpecimenTypeDesignationworkingsetEditor
type designation table

02/05/2019 02:21 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 10%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

e open specimen type designation editor for Nodosilinea radiophila Heidari & Hauer
¢ wait until session has timed out
¢ |ogin as same user and open type again --> Error

the type designation table is corrupted:

Kind Of Unit Type Status Collection .num. Stable URI Media Uri Image re

com.vaadin.data.Buffered$SourceException

at com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:664)

at com.vaadin.data.fieldgroup.FieldGroup.bind(FieldGroup. java:273)

at com.vaadin.data.fieldgroup.BeanFieldGroup.bind (BeanFieldGroup. java:155)

at com.vaadin.data.fieldgroup.FieldGroup.bindFields (FieldGroup.java:113)

at com.vaadin.data.fieldgroup.FieldGroup.setItemDataSource (FieldGroup.java:103)

at com.vaadin.data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup. java:126)

at com.vaadin.data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup. java:119)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.loadInEditor (AbstractPopupEditor.java:811)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onTypeDesignation
sEditorActionEdit (RegistrationWorkingsetPresenter. java:623)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:
78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.lambda$putRegistratio
nListComponent$8dc5aab0$1 (RegistrationWorksetViewBean. java:372)

at sun.reflect.GeneratedMethodAccessor2323.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:1015)

at com.vaadin.ui.Button.fireClick (Button. java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)
at sun.reflect.GeneratedMethodAccessor2330.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan
dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService.java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon
ymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcessingF
ilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)
Caused by: org.hibernate.HibernateException: A collection with cascade="all-delete-orphan" was no
longer referenced by the owning entity instance: eu.etaxonomy.cdm.model.common.DefinedTermBase.rep
resentations

at org.hibernate.engine.internal.Collections.processDereferencedCollection(Collections. java:99

at org.hibernate.engine.internal.Collections.processUnreachableCollection(Collections. java:50)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushCollections (AbstractFlushin
gEventListener. java:243)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (Abst
ractFlushingEventListener. java:86)

at org.hibernate.event.internal.DefaultAutoFlushEventListener.onAutoFlush (DefaultAutoFlushEven
tListener. java:44)

at org.hibernate.internal.SessionImpl.autoFlushIfRequired(SessionImpl.java:1251)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1767)

at org.hibernate.internal.CriteriaImpl.list (CriteriaImpl. java:363)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.findByUuid (CdmEntityDaoB
ase.java:423)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.load (CdmEntityDaoBase. ja
va:771)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.load (VersionableDaoBas
e.java:113)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.load (VersionableDaoBas
e.java:106)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.load (VersionableDaoBas
e.java:36)

at eu.etaxonomy.cdm.api.service.ServiceBase.load (ServiceBase. java:214)

at sun.reflect.GeneratedMethodAccessor2431.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)
at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy556.load (Unknown Source)

at eu.etaxonomy.cdm.vaadin.component.CdmBeanItemContainerFactory.buildTermItemContainer (CdmBea
nItemContainerFactory. java:89)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter$l.create
(SpecimenTypeDesignationWorkingsetEditorPresenter. java:206)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter$l.create
(SpecimenTypeDesignationWorkingsetEditorPresenter.java:199)

at org.vaadin.viritin.fields.AbstractElementCollection.createEditorInstance (AbstractElementCol
lection.java:282)

at org.vaadin.viritin.fields.AbstractElementCollection.getFieldGroupFor (AbstractElementCollect
ion.java:327)

at org.vaadin.viritin.fields.ElementCollectionField.addInternalElement (ElementCollectionField.
java:101)

at org.vaadin.viritin.fields.AbstractElementCollection.setInternalValue (AbstractElementCollect
ion.java:441)

at org.vaadin.viritin.fields.AbstractElementCollection.setInternalValue (AbstractElementCollect
ion.java:45)

at com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:657)

96 more

Related issues:

Related to EDIT - bug #8075: multiple cascade all-delete-orphan exceptions re... Closed
Is duplicate of EDIT - bug #8160: CdmBeanltemContainerFactory as readonly ser... Closed
History

#1 - 02/05/2019 02:22 PM - Andreas Kohlbecker

- Description updated

#2 - 02/06/2019 02:56 PM - Andreas Kohlbecker

- Subject changed from HibernateException: corrupt session problem after vaadin session timeout? to HibernateException: corrupt session problem
breaks SpecimenTypeDesignationworkingsetEditor type designation table

This seems not to be related to the session time out as assumed originally

#3 - 02/07/2019 12:00 PM - Andreas Kohlbecker

- Related to bug #8075: multiple cascade all-delete-orphan exceptions related to DefinedTermBase.representations added

#4 - 02/07/2019 12:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#5 - 03/04/2019 03:00 PM - Andreas Kohlbecker
potentially duplicate of #8160

#6 - 03/04/2019 03:03 PM - Andreas Kohlbecker

- Is duplicate of bug #8160: CdmBeanltemContainerFactory as readonly service bean added

#7 - 03/22/2019 07:51 PM - Andreas Kohlbecker

- Status changed from New to Feedback

04/19/2024 4/5
- Priority changed from Highest to Priority13
- % Done changed from 0 to 10

potentially fixed through the changes made for #8160, #7106

#8 - 04/11/2019 05:54 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

#9 - 05/16/2019 02:01 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

The implementation works as expected and the cascade="all-delete-orphan" problems did not occur again

Files
